<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<figure class="featured-image">
        <div class="white-shape top"></div>
        <div class="white-shape top right"></div>
        <div class="white-shape bottom"></div>
        <div class="white-shape bottom left"></div>

        <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
            <?php  
            if ( has_post_thumbnail() ) :
            	if ( is_home() && is_sticky() ) 
            		the_post_thumbnail( 'corporate-education-pro-medium', $attr = array( 'alt' => the_title_attribute( 'echo=0' ) ) );
        		else
            	the_post_thumbnail( 'post-thumbnail', $attr = array( 'alt' => the_title_attribute( 'echo=0' ) ) );
            else :
            	echo '<img src="' . esc_url( get_template_directory_uri().'/assets/uploads/no-featured-image-400x270.jpg' ) . '" alt="' . the_title_attribute( 'echo=0' ) . '">';
			endif; 
            ?>
        </a><!-- .post-thumbnail -->

        <p class="entry-meta">
        	<span class="posted-on">
                <?php corporate_education_pro_post_date(); ?>
            </span><!-- .posted-on -->
        </p><!-- .entry-meta -->       
    </figure>

    <div class="entry-container">
        <header class="entry-header">
           	<?php  
           	if ( is_single() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif;
           	?>   
            <?php if ( function_exists( 'tp_education_get_terms' ) ) : ?>
                <span class="cat-links">
                    <?php
                    $post_type = get_post_type();
                    switch ($post_type) {
                        case 'tp-course':
                            tp_education_get_terms( 'tp-course-category', get_the_ID() );
                        break;

                        case 'tp-event':
                            tp_education_get_terms( 'tp-event-category', get_the_ID() );
                        break;

                        case 'tp-class':
                            tp_education_get_terms( 'tp-class-category', get_the_ID() );
                        break;
                        
                        case 'tp-excursion':
                            tp_education_get_terms( 'tp-excursion-category', get_the_ID() );
                        break;
                        
                        case 'tp-team':
                            tp_education_get_terms( 'tp-team-category', get_the_ID() );
                        break;
                        
                        case 'tp-affiliation':
                            tp_education_get_terms( 'tp-affiliation-category', get_the_ID() );
                        break;
                        
                        default:
                        break;
                    } ?>
                </span>
            <?php endif; ?>
        </header>

        <div class="entry-content">
            <?php 
            the_excerpt(); 
            ?>
        </div><!-- .entry-content -->

        <footer class="entry-footer">
            <p class="entry-meta">
               <a href="<?php the_permalink(); ?>">
                <?php echo ( ! empty( $options['read_more_text'] ) ) ? esc_html( $options['read_more_text'] ) : esc_html_e( 'Read More', 'corporate-education-pro' );  ?>
                </a>
            </p><!-- .entry-meta -->        
        </footer>
    </div><!-- .entry-container -->
</article><!-- #post-## -->
